/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.jsystems.spring.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import pl.jsystems.spring.model.Samochod;

/**
 *
 * @author andrzej
 */
@Controller
@RequestMapping(value = "formularz")
public class ShowForm {

    /*
     W związku z istnieniej parametru params = "nowy" metoda zostanie wywołana
     wyłącznie wtedy, kiedy w wywołaniu zostanie podany ten parametr
     */
    @RequestMapping(method = RequestMethod.GET, params = "nowy")
    public String viewNewForm(Model model) {
        System.out.println("nowy samochód!");
        model.addAttribute("samochod", new Samochod());
        return "form";
    }

    @RequestMapping(method = RequestMethod.GET)
    public String viewForm(Model model) {
        System.out.println("nowy samochód!");
        model.addAttribute("samochod", new Samochod("Skoda","Rapid","WWL 12345"));
        return "form";
    }

    @RequestMapping(method = RequestMethod.POST)
    public String postThis(Samochod samochod) {
        System.out.println("przesłano dane nowego samochodu");
        System.out.println(samochod.toString());
        return "form";
    }

}
